Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

Already on GitHub? Sign in to your account

Don't require eventlog gem on non-Windows platforms #650

Merged
merged 1 commit into from Apr 10, 2012
Commits on Apr 10, 2012
  1. (#12392) Don't require eventlog gem on non-Windows platforms

    joshcooper committed Apr 10, 2012
    Commit `8d2ff89` attempted to require the windows eventlog gem within a
    `:if => Puppet.features.microsoft_windows?` describe block, but I forgot
    that requires within the block are still evaluated on non-Windows
    platform, although the tests themselves won't be run.
    
    This commit just conditionally requires the gem.